summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Fernando Lopez Jr2020-12-05 17:07:41 +0100
committer Willy Sudiarto Raharjo2020-12-05 17:07:41 +0100
commit45ab1c9cc79226aba869189711a3303bd588d1a6 (patch)
tree50b3c7fa3ec318da18b1786b9eb2aba810e3c9ff /system
parenta9b1c8c80fa731dc1e3837fdf8e534e91d7b93e1 (diff)
downloadslackbuilds-45ab1c9cc79226aba869189711a3303bd588d1a6.tar.gz
system/ticpp: Added (xml parser).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/ticpp/README8
-rw-r--r--system/ticpp/slack-desc19
-rw-r--r--system/ticpp/ticpp.SlackBuild111
-rw-r--r--system/ticpp/ticpp.info10
4 files changed, 148 insertions, 0 deletions
diff --git a/system/ticpp/README b/system/ticpp/README
new file mode 100644
index 0000000000..4d25e1098c
--- /dev/null
+++ b/system/ticpp/README
@@ -0,0 +1,8 @@
+TiCPP is short for the official name TinyXML++. It is a completely
+new interface to TinyXML that uses MANY of the C++ strengths.
+Templates, exceptions, and much better error handling. It is also
+fully documented in Doxygen. It is really cool because this version
+lets you interface tiny the exact same way as before or you can
+choose to use the new ticpp classes. All you need to do is define
+TIXML_USE_TICPP. It has been tested in VC 6.0, VC 7.0, VC 7.1,
+VC 8.0, MinGW gcc 3.4.5, and in Linux GNU gcc 3+.
diff --git a/system/ticpp/slack-desc b/system/ticpp/slack-desc
new file mode 100644
index 0000000000..e924f8e05e
--- /dev/null
+++ b/system/ticpp/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ticpp: ticpp (xml parser)
+ticpp:
+ticpp: TiCPP is short for the official name TinyXML++. It is a completely
+ticpp: new interface to TinyXML that uses MANY of the C++ strengths.
+ticpp:
+ticpp:
+ticpp:
+ticpp:
+ticpp:
+ticpp: Homepage: https://github.com/wxFormBuilder/ticpp
+ticpp:
diff --git a/system/ticpp/ticpp.SlackBuild b/system/ticpp/ticpp.SlackBuild
new file mode 100644
index 0000000000..9fe9e6543b
--- /dev/null
+++ b/system/ticpp/ticpp.SlackBuild
@@ -0,0 +1,111 @@
+#!/bin/sh
+
+# Slackware build script for TiCPP
+# XML Parser
+
+# Copyright 2019 Fernando Lopez Jr. <fernando.lopezjr@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Revision date: 2020/Nov/25
+
+PRGNAM=ticpp
+VERSION=${VERSION:-0.1}
+COMVER=eb79120ea16b847ce9f483a298a394050f463d6b
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686 -std=c++11"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686 -std=c++11"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC -std=c++11"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2 -std=c++11"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$COMVER.tar.?z
+mv $PRGNAM-$COMVER $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make VERBOSE=1
+ make CONFIG=Release DESTDIR=$PKG
+cd ..
+
+mkdir -p "$PKG/usr/include"
+install -Dm775 ticpp.h "$PKG/usr/include"
+install -Dm775 ticppapi.h "$PKG/usr/include"
+install -Dm775 ticpprc.h "$PKG/usr/include"
+install -Dm775 tinystr.h "$PKG/usr/include"
+install -Dm775 tinyxml.h "$PKG/usr/include"
+
+mkdir -p "$PKG/usr/lib${LIBDIRSUFFIX}"
+install -Dm775 build/libticpp.a "$PKG"/usr/lib${LIBDIRSUFFIX}
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a build_instructions.txt changes.txt LICENSE README.md tutorial_gettingStarted.txt \
+ tutorial_ticpp.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/ticpp/ticpp.info b/system/ticpp/ticpp.info
new file mode 100644
index 0000000000..04f790e583
--- /dev/null
+++ b/system/ticpp/ticpp.info
@@ -0,0 +1,10 @@
+PRGNAM="ticpp"
+VERSION="0.1"
+HOMEPAGE="https://github.com/wxFormBuilder/ticpp"
+DOWNLOAD="https://github.com/wxFormBuilder/ticpp/archive/eb79120ea16b847ce9f483a298a394050f463d6b/ticpp-eb79120ea16b847ce9f483a298a394050f463d6b.tar.gz"
+MD5SUM="250643c6562957da9993734c8f2f4b51"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Fernando Lopez Jr."
+EMAIL="fernando.lopezjr@gmail.com"